1
vote
2answers
1k views

How do you install PHP PECL extensions with Macports?

I'm using PHP 5.5 installed through Macports. I'd like to add the APCu PECL library. But there's no macports package and I can't see a way to install the PEAR/PECL command line utility. So how does ...
0
votes
0answers
49 views

Newer PHP version than the 5.4.10 in MAMP

Is it possible to install newer PHP version than the 5.4.10 in MAMP? I have got MacPorts installed and it's running in OSX 10.8.
0
votes
0answers
315 views

Upgrading APC extension in MAMP

I'm trying to upgrade the APC extension in MAMP. I have got installed MacPorts and with the following command I've installed the autoconf: sudo port install autoconf Then I've executed this command: ...
0
votes
1answer
74 views

Fail to load php module macports

I'm trying to install php module via macports. I have them installed, so I run cd /opt/local/apache2/modules sudo /opt/local/apache2/bin/apxs -a -e -n "php5" mod_php54.so Then I'll ensure myself, ...
0
votes
2answers
188 views

OSX installing php 5.4

I downloaded Macports and run a command I get online, which would install php 5.4. It took a while, but seemed to work successfully. I then copied the php.ini.development and renamed it php.ini like ...
4
votes
2answers
1k views

How do I install php5 via MacPorts with a custom configure option?

So MacPorts is the most painless way of installing stuff on my machine. But I want some custom options on my php5 install. How do I do this? With a downloaded version of php, I would do this: ...
0
votes
1answer
470 views

Change the mysql.sock that the system PHP uses

In the past I had installed MySQL as part of XAMPP in /Applications/XAMPP/ and the PHP that the system used (e.g. from command line) used /Applications/XAMPP/xamppfiles/var/mysql/mysql.sock to connect ...
0
votes
4answers
2k views

How do I specify which install of Apache I want my Mac to use?

All my problems stemmed from trying to get mcrypt for PHP installed. Last night I gave in and followed a tutorial of how to do a totally fresh apache2 and php5.3.3 install. I did this using macports ...
4
votes
6answers
6k views

Install multiple PHP environments on OS X Snow Leopard

I just upgraded my MBP to Snow Leopard (OS X 10.6), which took PHP to 5.3 This is great, except I use my MBP as my development machine and I use a lot of PHP libs and frameworks (namely CakePHP 1.2) ...